Bug 176823 - Include swig/audit.py and swig/audit_wrap.c per default?
Include swig/audit.py and swig/audit_wrap.c per default?
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: audit (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Grubb
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-03 07:23 EST by Robert Scheck
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-19 10:28:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2006-01-03 07:23:28 EST
Description of problem:
Please note, that it isn't really a Fedora specific problem, but audit also can 
be used anywhere - I just assigned it here in Bugzilla:

Currently it isn't possible to rebuild audit without having the swig package 
installed, but for example at the libselinux package this is possible. And the 
difference between these two packages is, that libselinux deliveres the files 
generated by swig with each release. In case of audit, it would be just enough 
to include a current audit/swig/audit.py and audit/swig/audit_wrap.c before 
packaging it as public release. As far as I can see, no futher changes are 
required.

Normally, we provide a ./configure, while it could be created each time by 
autoconf...same thing, isn't it? :)

Version-Release number of selected component (if applicable):
audit-1.1.2-1.1
Comment 1 Steve Grubb 2006-09-19 10:28:04 EDT
The build proceedure is documented in the tarball and all BuildRequires are
accurate. I don't think release of the package will be changing. I am closing
this bugzilla. Thanks for reporting it.

Note You need to log in before you can comment on or make changes to this bug.